Package org.eclipse.swt.events

# Class VerifyEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.KeyEvent
org.eclipse.swt.events.VerifyEvent

All Implemented Interfaces:
  `Serializable`

public final class VerifyEvent extends KeyEvent
Instances of this class are sent as a result of widgets handling keyboard events

See Also:
  - `VerifyListener`
  - Sample code and further information
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`end`
the range of text being modified.
`int`
`start`
the range of text being modified.
`String`
`text`
the new text that will be inserted.

### Fields inherited from class org.eclipse.swt.events.KeyEvent

`character, doit, keyCode, keyLocation, stateMask`

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`VerifyEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### start

public int start
the range of text being modified. Setting these fields has no effect.

### end

public int end
the range of text being modified. Setting these fields has no effect.

### text

public String text
the new text that will be inserted. Setting this field will change the text that is about to be inserted or deleted.

## Constructor Details

### VerifyEvent

public VerifyEvent(Event e)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `KeyEvent`
Returns:
  a string representation of the event